cURL
curl --request GET \
--url https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"resourceAttribute": {
"resourceAttributeId": "<string>",
"organizationId": "<string>",
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributeKeyId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"key": {
"resourceAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "RESOURCE_ATTRIBUTE_KEY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"resourceAttributeEnumValueId": "<string>",
"booleanValue": true,
"numberValue": "<string>",
"enumValueDetails": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ResourceAttributeService
Get apiv1resource attributes 1
GET
/
api
/
v1
/
resource-attributes
/
{resourceAttributeId}
cURL
curl --request GET \
--url https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/resource-attributes/{resourceAttributeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"resourceAttribute": {
"resourceAttributeId": "<string>",
"organizationId": "<string>",
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributeKeyId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"key": {
"resourceAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "RESOURCE_ATTRIBUTE_KEY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"resourceAttributeEnumValueId": "<string>",
"booleanValue": true,
"numberValue": "<string>",
"enumValueDetails": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
Represents the assignment of a resource_attribute key-value pair to an entity (asset or channel).
Show child attributes
Show child attributes
Was this page helpful?
⌘I